0

I have been trying to install the drivers for my Samsung ML-1865 printer since I installed Ubuntu 17.10 but have had no luck yet.

I downloaded the Ubuntu drivers from here:
https://support.hp.com/us-en/drivers/selfservice/samsung-ml-1865-laser-printer-series/19134664,
but every time I try to print something I get a blank page with the message:

INTERNAL ERROR - Please use the proper driver.
POSITION: 0x0 (0)
SYSTEM: h6f2_5.49/xl_op
LINE: 180
VERSION: SPL 5.49 10-20-2010.

I have no idea how to solve this problem. Any help is more than welcomed :)

1

so if I were installing the driver; I would download uld_v1.00.36_00.91.tar.gz from your link and then open a terminal and paste in the commands below

cd Downloads
tar -zxvf uld_v1.00.36_00.91.tar.gz
cd uld
sudo ./install.sh

and that should install the driver; please tell us if you did that

7
  • Hi, thanks for the answer but it didn't work. I'm still getting the same message... – SantiMontouliu Jan 29 '18 at 14:28
  • so if you go to the PRINTERS folder; how many icons do you have for the Samsung? And if you right-click on each icon; and look in PROPERTIES and then in the MAKE & MODEL window; please paste what you get from there please .. – pdc Jan 29 '18 at 19:59
  • your printer is airprint-compatible; support.apple.com/en-nz/HT201311 and Ubuntu has had airprint support since 17.04 so when you try to print; and get a list of options ... is there an option that says "driverless" because that should be the airprint; and it should .......... just work ............... – pdc Jan 29 '18 at 20:01
  • I checked the printers folder as you said and noticed that the printer's make & model was shown as 1760 (don't know why). I changed it to 1860, and had to also change the Device URI... I then tried printing again and it worked! Thank you so much for your time and help!! – SantiMontouliu Jan 29 '18 at 23:00
  • that's great; you did very well; ........... if you go to print in eg LibreOffice, are there any options saying "driverless": I ask as I would have thought you would have an airprint option as well as the ULD one ....... – pdc Jan 30 '18 at 16:13
-1

for ml-1860 you can solve it installing "printer-driver-splix" and this ppd --> https://mega.nz/#!9kcz2Cbb!xwTwiaD-RJTtEDu19V1NFSxZiAcRLapId0HO82Rs3Vc it could work to ml-1865 too...

1
  • 5
    I would be very hesitant to click on that link. If this is a genuine attempt to answer, please link to a credible source. – tripleee Jun 11 '19 at 6:35

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.